Edit gambar (qwen-image-edit)
post/v1/images/edits
Pembuatan gambar dengan seri qwen-image Bailian.
Autentikasi
Kirim kunci API OLETOKEN sebagai token Bearer. Kunci dibuat di halaman Kunci API pada konsol.
Authorization: Bearer $OLETOKEN_API_KEYIsi permintaan
Content-Type:application/json
| Field | Tipe | Wajib | Keterangan |
|---|---|---|---|
| model | string | — | |
| input | object | — | |
| messages | object[] | — | |
| role | string | — | — |
| content | object[] | — | — |
| image | string | — | — |
| text | string | — | — |
| parameters | object | — | — |
| n | integer | — | — |
| negative_prompt | string | — | — |
| prompt_extend | boolean | — | — |
| watermark | boolean | — | — |
| size | string | — | — |
Respons
200Gambar dibuat
| Field | Tipe | Wajib | Keterangan |
|---|---|---|---|
| created | integer | — | — |
| data | object[] | — | — |
| url | string | — | — |
| b64_json | string | — | — |
| revised_prompt | string | — | — |
Contoh permintaan
curl -X POST 'https://api.oletoken.ai/v1/images/edits' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"model": "string",
"input": {}
}'
